TransferFsImage.TransferResult (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: TransferFsImage, enum: TransferResult

Package org.apache.hadoop.hdfs.server.namenode

# Enum Class TransferFsImage.TransferResult

java.lang.Object
java.lang.Enum<TransferFsImage.TransferResult>
org.apache.hadoop.hdfs.server.namenode.TransferFsImage.TransferResult

All Implemented Interfaces:
  `Serializable`, `Comparable<TransferFsImage.TransferResult>`, `Constable`

Enclosing class:
  org.apache.hadoop.hdfs.server.namenode.TransferFsImage

public static enum TransferFsImage.TransferResult extends Enum<TransferFsImage.TransferResult>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTHENTICATION_FAILURE`
  `NOT_ACTIVE_NAMENODE_FAILURE`
  `OLD_TRANSACTION_ID_FAILURE`
  `SUCCESS`
  `UNEXPECTED_FAILURE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TransferFsImage.TransferResult`
  `getResultForCode(int code)`
  `static TransferFsImage.TransferResult`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TransferFsImage.TransferResult[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUCCESS

    public static final TransferFsImage.TransferResult SUCCESS

  - ### AUTHENTICATION_FAILURE

    public static final TransferFsImage.TransferResult AUTHENTICATION_FAILURE

  - ### NOT_ACTIVE_NAMENODE_FAILURE

    public static final TransferFsImage.TransferResult NOT_ACTIVE_NAMENODE_FAILURE

  - ### OLD_TRANSACTION_ID_FAILURE

    public static final TransferFsImage.TransferResult OLD_TRANSACTION_ID_FAILURE

  - ### UNEXPECTED_FAILURE

    public static final TransferFsImage.TransferResult UNEXPECTED_FAILURE

- ## Method Details

  - ### values

    public static TransferFsImage.TransferResult[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TransferFsImage.TransferResult valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getResultForCode

    public static TransferFsImage.TransferResult getResultForCode(int code)